## org.omg.Messaging
Class RoutingTypeRangeHelper

    java.lang.Object
      |
      +--org.omg.Messaging.RoutingTypeRangeHelper

public class RoutingTypeRangeHelper
extends java.lang.Object

Helper class for : RoutingTypeRange

Author:
  OpenORB Compiler

Constructor Summary
`RoutingTypeRangeHelper()`

Method Summary
`static RoutingTypeRange` `extract(Any a)` Extract RoutingTypeRange from an any
`static java.lang.String` `id()` Return the RoutingTypeRange IDL ID
`static void` `insert(Any a, RoutingTypeRange t)` Insert RoutingTypeRange into an any
`static RoutingTypeRange` `read(InputStream istream)` Read RoutingTypeRange from a marshalled stream
`static TypeCode` `type()` Return the RoutingTypeRange TypeCode
`static void` `write(OutputStream ostream, RoutingTypeRange value)` Write RoutingTypeRange into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RoutingTypeRangeHelper

    public RoutingTypeRangeHelper()

Method Detail

### insert

    public static void insert(Any a,
                              RoutingTypeRange t)

  Insert RoutingTypeRange into an any
  Parameters:
    `a` - an any
    `t` - RoutingTypeRange value

### extract

    public static RoutingTypeRange extract(Any a)

  Extract RoutingTypeRange from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted RoutingTypeRange value

### type

    public static TypeCode type()

  Return the RoutingTypeRange TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the RoutingTypeRange IDL ID
  Returns:
    an ID

### read

    public static RoutingTypeRange read(InputStream istream)

  Read RoutingTypeRange from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed RoutingTypeRange value

### write

    public static void write(OutputStream ostream,
                             RoutingTypeRange value)

  Write RoutingTypeRange into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - RoutingTypeRange value